// anchorPointController.jsx

// Fonction pour déplacer le point d'ancrage
function setAnchorPoint(selectedLayers, anchorRatio) {
    if (!app.project.activeItem || !(app.project.activeItem instanceof CompItem)) {
        alert("Veuillez sélectionner une composition.");
        return;
    }

    if (selectedLayers.length === 0) {
        alert("Veuillez sélectionner au moins un calque.");
        return;
    }

    app.beginUndoGroup("Déplacer le Point d'Ancrage");
    for (var i = 0; i < selectedLayers.length; i++) {
        var layer = selectedLayers[i];

        // Obtenir les dimensions du calque
        var rect = layer.sourceRectAtTime(app.project.activeItem.time, false);

        // Calculer le nouveau point d'ancrage
        var newAnchorPoint = [
            rect.left + rect.width * anchorRatio[0],
            rect.top + rect.height * anchorRatio[1]
        ];

        // Calculer la différence entre l'ancien et le nouveau point d'ancrage
        var anchorDiff = [
            newAnchorPoint[0] - layer.anchorPoint.value[0],
            newAnchorPoint[1] - layer.anchorPoint.value[1]
        ];

        // Mettre à jour le point d'ancrage et la position pour maintenir le calque en place
        layer.anchorPoint.setValue(newAnchorPoint);
        layer.position.setValue([
            layer.position.value[0] + anchorDiff[0] * layer.scale.value[0] / 100,
            layer.position.value[1] + anchorDiff[1] * layer.scale.value[1] / 100
        ]);
    }
    app.endUndoGroup();
}
