// MyFunctions/createStringWithSeparator.jsx

function creerChaineAvecSeparateur(nombre, separateur) {
    var chaine = "";
    for (var i = 1; i <= nombre; i++) {
        chaine += i;
        if (i < nombre) {
            chaine += separateur;
        }
    }
    return chaine;
}

function createTextLayerWithString(chaine) {
    var comp = app.project.activeItem;
    if (comp && comp instanceof CompItem) {
        var textLayer = comp.layers.addText(chaine);
        textLayer.name = "Chaîne Générée";
    } else {
        alert("Veuillez sélectionner une composition active.");
    }
}

// Fonction pour compter les nombres dans un texte sélectionné
function compterNombresDansTexte() {
    var comp = app.project.activeItem;
    if (comp && comp instanceof CompItem) {
        var selectedLayers = comp.selectedLayers;

        if (selectedLayers.length === 1 && selectedLayers[0] instanceof TextLayer) {
            var textDocument = selectedLayers[0].property("Source Text").value;

            // Extraire tous les nombres dans le texte (ignorer les séparateurs)
            var nombresTrouves = textDocument.text.match(/\d+/g);  // Trouver tous les nombres dans le texte

            if (nombresTrouves) {
                alert("Nombres trouvés : " + nombresTrouves.length);
            } else {
                alert("Aucun nombre trouvé dans le texte sélectionné.");
            }
        } else {
            alert("Veuillez sélectionner un seul calque de texte.");
        }
    } else {
        alert("Veuillez sélectionner une composition active.");
    }
}
