
function gravityExpression() {
    // Récupère les valeurs saisies
            var gravity = parseFloat(gravityInput.text);
            var velocityX = parseFloat(velocityXInput.text);
            var velocityY = parseFloat(velocityYInput.text);

            // Vérifie qu'une composition et des calques sont sélectionnés
            var comp = app.project.activeItem;
            if (comp === null || !(comp instanceof CompItem)) {
                alert("Veuillez sélectionner une composition.");
                return;
            }
            if (comp.selectedLayers.length === 0) {
                alert("Veuillez sélectionner au moins un calque.");
                return;
            }

            // Applique l'expression à chaque calque sélectionné
            app.beginUndoGroup("Appliquer Gravité");
            for (var i = 0; i < comp.selectedLayers.length; i++) {
                var layer = comp.selectedLayers[i];
                var expr = 
                "// Paramètres de gravité\n" +
                "var gravity = " + gravity + "; // Force de la gravité (pixels par seconde carrée)\n" +
                "var initialVelocity = [" + velocityX + ", " + velocityY + "]; // Vitesse initiale [x, y]\n\n" +
                "// Temps écoulé depuis le début du calque\n" +
                "var t = time - inPoint;\n\n" +
                "// Position initiale\n" +
                "var startPos = position.valueAtTime(inPoint);\n\n" +
                "// Calcul de la nouvelle position\n" +
                "var newX = startPos[0] + initialVelocity[0] * t;\n" +
                "var newY = startPos[1] + initialVelocity[1] * t + 0.5 * gravity * t * t;\n\n" +
                "// Retourne la nouvelle position\n" +
                "[newX, newY];";
                
                layer.property("Position").expression = expr;
            }
            app.endUndoGroup();
            alert("Expression appliquée avec succès !");
        }

