// Fonction pour changer la durée des calques sélectionnés en secondes
function changeLayerDurationBySeconds(secondsDuration) {
    var comp = app.project.activeItem;

    // Vérifie qu'une composition est active et qu'il y a des calques sélectionnés
    if (comp && comp instanceof CompItem && comp.selectedLayers.length > 0) {
        app.beginUndoGroup("Changer la durée des calques (en secondes)");

        // Parcourt tous les calques sélectionnés
        for (var i = 0; i < comp.selectedLayers.length; i++) {
            var layer = comp.selectedLayers[i];

            // Change la durée du calque
            if (layer.stretch < 0) {
                // Si la stretch est négative (reversé), ajustez aussi la durée en conséquence
                layer.outPoint = layer.inPoint - secondsDuration;
            } else {
                layer.outPoint = layer.inPoint + secondsDuration;
            }
        }

        app.endUndoGroup();
    } else {
        alert("Veuillez sélectionner au moins un calque dans une composition active.");
    }
}
    // Fonction pour changer la durée des calques sélectionnés
    function changeLayerDurationByFrames(frameDuration) {
        var comp = app.project.activeItem;

        // Vérifie qu'une composition est active et qu'il y a des calques sélectionnés
        if (comp && comp instanceof CompItem && comp.selectedLayers.length > 0) {
            app.beginUndoGroup("Changer la durée des calques (en frames)");

            // Convertit la durée en frames en secondes
            var newDurationInSeconds = frameDuration / comp.frameRate;

            // Parcourt tous les calques sélectionnés
            for (var i = 0; i < comp.selectedLayers.length; i++) {
                var layer = comp.selectedLayers[i];

                // Change la durée du calque
                if (layer.stretch < 0) {
                    // Si la stretch est négative (reversé), ajustez aussi la durée en conséquence
                    layer.outPoint = layer.inPoint - newDurationInSeconds;
                } else {
                    layer.outPoint = layer.inPoint + newDurationInSeconds;
                }
            }

            app.endUndoGroup();
        } else {
            alert("Veuillez sélectionner au moins un calque dans une composition active.");
        }
    }



