function loopOutFunction() {
    var project = app.project;
    
    // Vérifie qu'il y a bien un projet ouvert
    if (project && project.numItems > 0) {
        app.beginUndoGroup("Activer remappage temporel avec loopOut sur toutes les compositions");

        // Parcourt tous les éléments du projet
        for (var i = 1; i <= project.numItems; i++) {
            var item = project.item(i);

            // Vérifie si l'élément est une composition
            if (item instanceof CompItem) {
                var comp = item;

                // Applique loopOut() sur tous les calques sélectionnés dans la composition
                if (comp.selectedLayers.length > 0) {
                    for (var j = 0; j < comp.selectedLayers.length; j++) {
                        var selectedLayer = comp.selectedLayers[j];

                        // Active le remappage temporel
                        selectedLayer.timeRemapEnabled = true;

                        // Récupère la propriété de remappage temporel
                        var timeRemap = selectedLayer.property("ADBE Time Remapping");

                        // Applique l'expression loopOut() si le remappage temporel est activé
                        if (timeRemap) {
                            timeRemap.expression = 'loopOut();';
                        } else {
                            alert("Erreur : le remappage temporel n'a pas pu être activé pour un calque.");
                        }
                    }
                }
            }
        }

        app.endUndoGroup();
    } else {
        alert("Aucune composition ouverte ou projet vide.");
    }
}
function loopOutPPFunction() {
    var project = app.project;
    
    // Vérifie qu'il y a bien un projet ouvert
    if (project && project.numItems > 0) {
        app.beginUndoGroup("Activer remappage temporel avec loopOut sur toutes les compositions");

        // Parcourt tous les éléments du projet
        for (var i = 1; i <= project.numItems; i++) {
            var item = project.item(i);

            // Vérifie si l'élément est une composition
            if (item instanceof CompItem) {
                var comp = item;

                // Applique loopOut() sur tous les calques sélectionnés dans la composition
                if (comp.selectedLayers.length > 0) {
                    for (var j = 0; j < comp.selectedLayers.length; j++) {
                        var selectedLayer = comp.selectedLayers[j];

                        // Active le remappage temporel
                        selectedLayer.timeRemapEnabled = true;

                        // Récupère la propriété de remappage temporel
                        var timeRemap = selectedLayer.property("ADBE Time Remapping");

                        // Applique l'expression loopOut() si le remappage temporel est activé
                        if (timeRemap) {
                            timeRemap.expression = 'loopOut("pingpong");';
                        } else {
                            alert("Erreur : le remappage temporel n'a pas pu être activé pour un calque.");
                        }
                    }
                }
            }
        }

        app.endUndoGroup();
    } else {
        alert("Aucune composition ouverte ou projet vide.");
    }
}

function loopOutOffFunction() {
    var project = app.project;
    
    // Vérifie qu'il y a bien un projet ouvert
    if (project && project.numItems > 0) {
        app.beginUndoGroup("Activer remappage temporel avec loopOut sur toutes les compositions");

        // Parcourt tous les éléments du projet
        for (var i = 1; i <= project.numItems; i++) {
            var item = project.item(i);

            // Vérifie si l'élément est une composition
            if (item instanceof CompItem) {
                var comp = item;

                // Applique loopOut() sur tous les calques sélectionnés dans la composition
                if (comp.selectedLayers.length > 0) {
                    for (var j = 0; j < comp.selectedLayers.length; j++) {
                        var selectedLayer = comp.selectedLayers[j];

                        // Active le remappage temporel
                        selectedLayer.timeRemapEnabled = true;

                        // Récupère la propriété de remappage temporel
                        var timeRemap = selectedLayer.property("ADBE Time Remapping");

                        // Applique l'expression loopOut() si le remappage temporel est activé
                        if (timeRemap) {
                            timeRemap.expression = 'loopOut("offset");';
                        } else {
                            alert("Erreur : le remappage temporel n'a pas pu être activé pour un calque.");
                        }
                    }
                }
            }
        }

        app.endUndoGroup();
    } else {
        alert("Aucune composition ouverte ou projet vide.");
    }
}

function loopOutContFunction() {
    var project = app.project;
    
    // Vérifie qu'il y a bien un projet ouvert
    if (project && project.numItems > 0) {
        app.beginUndoGroup("Activer remappage temporel avec loopOut sur toutes les compositions");

        // Parcourt tous les éléments du projet
        for (var i = 1; i <= project.numItems; i++) {
            var item = project.item(i);

            // Vérifie si l'élément est une composition
            if (item instanceof CompItem) {
                var comp = item;

                // Applique loopOut() sur tous les calques sélectionnés dans la composition
                if (comp.selectedLayers.length > 0) {
                    for (var j = 0; j < comp.selectedLayers.length; j++) {
                        var selectedLayer = comp.selectedLayers[j];

                        // Active le remappage temporel
                        selectedLayer.timeRemapEnabled = true;

                        // Récupère la propriété de remappage temporel
                        var timeRemap = selectedLayer.property("ADBE Time Remapping");

                        // Applique l'expression loopOut() si le remappage temporel est activé
                        if (timeRemap) {
                            timeRemap.expression = 'loopOut("continue");';
                        } else {
                            alert("Erreur : le remappage temporel n'a pas pu être activé pour un calque.");
                        }
                    }
                }
            }
        }

        app.endUndoGroup();
    } else {
        alert("Aucune composition ouverte ou projet vide.");
    }
}



