
    /**
     * Fonction qui inverse l'ordre des calques sélectionnés
     */
    function invertLayersOrder() {
        // 1. Vérifier si l'élément actif est une composition
        var comp = app.project.activeItem;
        if (!comp || !(comp instanceof CompItem)) {
            alert("Veuillez sélectionner une composition avant de lancer ce script.");
            return;
        }

        // 2. Récupérer les calques sélectionnés
        var selectedLayers = comp.selectedLayers;
        if (selectedLayers.length < 2) {
            alert("Veuillez sélectionner au moins deux calques.");
            return;
        }

        // 3. Ouvrir un groupe d'undo (pour pouvoir annuler en une fois)
        app.beginUndoGroup("Inverser l'ordre des calques");

        // 4. Trier les calques sélectionnés par leur index (du plus petit au plus grand)
        selectedLayers.sort(function (a, b) {
            return a.index - b.index;
        });

        // 5. Créer un tableau "reversed" = ordre inversé
        var reversed = selectedLayers.slice().reverse();

        // 6. Déplacer le premier calque du tableau inversé tout en haut
        reversed[0].moveToBeginning();

        // 7. Pour les suivants, les placer successivement après le précédent
        for (var i = 1; i < reversed.length; i++) {
            reversed[i].moveAfter(reversed[i - 1]);
        }

        app.endUndoGroup();
    }

 

