// Split selected layer at the current time indicator
function splitLayerAtCurrentTime() {
    // Récupérer la composition active
    var comp = app.project.activeItem;
    
    if (!(comp && comp instanceof CompItem)) {
        alert("Aucune composition active.");
        return;
    }

    // Vérifier si un calque est sélectionné
    var selectedLayers = comp.selectedLayers;
    if (selectedLayers.length !== 1) {
        alert("Veuillez sélectionner un seul calque.");
        return;
    }

    // Récupérer le calque sélectionné
    var layer = selectedLayers[0];

    // Récupérer le temps actuel dans la timeline
    var currentTime = comp.time;

    // Vérifier si le curseur se trouve dans les limites du calque
    if (currentTime <= layer.inPoint || currentTime >= layer.outPoint) {
        alert("Le curseur doit être placé à l'intérieur des limites du calque.");
        return;
    }

    // Scinder le calque
    app.beginUndoGroup("Scinde le calque");

    // Dupliquer le calque
    var upperLayer = layer.duplicate();

    // Modifier les points d'entrée et de sortie des calques
    layer.outPoint = currentTime;
    upperLayer.inPoint = currentTime;

    app.endUndoGroup();
}

// Appel de la fonction
//splitLayerAtCurrentTime();
